Handle writes to a snapshot-origin device that has been extended since
the snapshot was taken.
--- diff/drivers/md/dm-snap.c	2005-04-04 17:39:05.000000000 +0100
+++ source/drivers/md/dm-snap.c	2005-04-21 16:10:27.000000000 +0100
@@ -931,6 +931,10 @@
 		if (!snap->valid)
 			continue;
 
+		/* Nothing to do if writing beyond end of snapshot */
+		if (bio->bi_sector >= dm_table_get_size(snap->table))
+			continue;
+
 		down_write(&snap->lock);
 
 		/*
